changeset 5231:5c2ca6d6ab21

Make test-convert-git compatible with other git versions (tested with 1.4.4.3)
author Thomas Arendsen Hein <thomas@intevation.de>
date Fri, 31 Aug 2007 12:32:18 +0200
parents bfd73b567b3d
children aea35488ea66 89696e71bd89
files tests/test-convert-git tests/test-convert-git.out
diffstat 2 files changed, 3 insertions(+), 4 deletions(-) [+]
line wrap: on
line diff
--- a/tests/test-convert-git	Wed Aug 29 16:15:23 2007 -0700
+++ b/tests/test-convert-git	Fri Aug 31 12:32:18 2007 +0200
@@ -7,12 +7,12 @@
 
 mkdir git-repo
 cd git-repo
-git init
+git init-db >/dev/null 2>/dev/null
 echo a > a
 git add a
-git commit -m t1 > /dev/null || echo "git commit error"
+git commit -m t1 >/dev/null 2>/dev/null || echo "git commit error"
 echo b >> a
-git commit -a -m t2 > /dev/null || echo "git commit error"
+git commit -a -m t2 >/dev/null || echo "git commit error"
 cd ..
 
 hg convert git-repo
--- a/tests/test-convert-git.out	Wed Aug 29 16:15:23 2007 -0700
+++ b/tests/test-convert-git.out	Fri Aug 31 12:32:18 2007 +0200
@@ -1,4 +1,3 @@
-Initialized empty Git repository in .git/
 assuming destination git-repo-hg
 initializing destination git-repo-hg repository
 scanning source...